<Alte::Card @type="warning" {{did-update this.updateCurrency this.application.currency}}>
  <Alte::Card::Header @title="Simulation" @titleIcon="flask" />
  <Alte::Card::Body>
    <BsForm @formLayout="vertical" as |form|>
      <div class="row">
        <div class="col-12">
          <Crypto::Form::CurrencySelector @assetId={{@parameters.assetId}} @form={{form}} @onChange={{this.setAsset}} />
        </div>
      </div>
      <div class="row">
        <div class="col-12">
          <form.element @onChange={{this.dummyAction}} @label="Montant" as |el|>
            <el.control
              {{imask-currency
                @parameters.amount
                @parameters.currency
                fractionDigits=@parameters.currency.fractionDigits
                onChange=this.setAmount
                min=0
                max=@parameters.amountMax
              }}
            />
          </form.element>
        </div>
      </div>
      <div class="row">
        <div class="col-12">
          <form.element
            @controlType="power-select"
            @label="Fréquence"
            @value={{@parameters.frequency}}
            @onChange={{this.setFrequency}}
            @options={{this.frequencies}}
            as |el|
          >
            <el.control as |frequency|>
              {{t (concat "enums.crypto-saving-frequency." frequency)}}
            </el.control>
          </form.element>
        </div>
      </div>
      <div class="row">
        <div class="col-12">
          <form.element
            @controlType="date"
            @label="Depuis"
            @value={{@parameters.from}}
            @onChange={{this.dummyAction}}
            as |el|
          >
            <el.control {{on "change" this.setFrom}} />
          </form.element>
        </div>
      </div>
      <div class="row">
        <div class="col-12">
          <form.element
            @controlType="date"
            @label="Jusqu'au"
            @value={{@parameters.to}}
            @onChange={{this.dummyAction}}
            as |el|
          >
            <el.control {{on "change" this.setTo}} />
          </form.element>
        </div>
      </div>
    </BsForm>
  </Alte::Card::Body>
</Alte::Card>